
async function openFile() {
  try {
    await require('photoshop').core.executeAsModal(targetFunction);
  } catch (e) {
    console.log(e);
  }
}

async function targetFunction() {
  const fs = require('uxp').storage.localFileSystem;
  let entry = await fs.getFileForOpening();
  await require('photoshop').app.open(entry)
}

document.getElementById("open-file").addEventListener("click", openFile);